> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Avatars

> Returns a list of all avatars (public and custom) available to the user



## OpenAPI

````yaml get /project/assets/avatar/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/assets/avatar/:
    get:
      tags:
        - project
      description: >-
        Returns a list of available Avatars either public or associated with the
        authenticated user.
      operationId: List Avatars
      parameters:
        - in: query
          name: gender
          schema:
            type: integer
            enum:
              - 1
              - 2
              - 3
          description: >-
            Filter the Avatars based on the Gender. Available Options 1 - Male,
            2 - Female, 3 - Non Binary
        - in: query
          name: is_custom
          schema:
            type: boolean
          description: Filter only the custom avatars.
        - in: query
          name: language
          schema:
            type: integer
          description: Id of the language. Filter the Avatars based on the language.
        - in: query
          name: name
          schema:
            type: string
          description: >-
            Filter the Avatars based on the name (partial-match and
            case-insensitive).
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiAvatarList'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    ApiAvatarList:
      type: object
      description: Allows to specify fields to be included
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique Identifier of the Avatar.
        name:
          type: string
          readOnly: true
          description: Name of the Avatar.
        gender:
          allOf:
            - $ref: '#/components/schemas/GenderB68Enum'
          readOnly: true
          description: |-
            Gender of the Avatar.

            * `1` - Male
            * `2` - Female
            * `3` - Non Binary
      required:
        - gender
        - id
        - name
    GenderB68Enum:
      enum:
        - 1
        - 2
        - 3
      type: integer
      description: |-
        * `1` - Male
        * `2` - Female
        * `3` - Non Binary
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````